Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.definition
Interface DefinitionsReader

All Known Implementing Classes:
  CompatibilityDigesterDefinitionsReader, DigesterDefinitionsReader

    public interface DefinitionsReader

Interface for reading ``Definition`` from a source.

This interface provides a standard way to read ``Definition`` objects from a source. Implementations should define what the source is, whether it be a persistent store such as a configuration file or database, or something like a web service. The DefinitionsReader is responsible for reading from a single location. It does not perform any internationalization duties or inheritance of Definitions. It only reads from the source and returns a Map of objects read.

Version:
  $Rev: 652862 $ $Date: 2008-05-02 20:22:56 +0200 (ven, 02 mag 2008) $

Method Summary
`void` | `init(java.util.Map<java.lang.String,java.lang.String> params)` Initializes the `DefinitionsReader` object.
`java.util.Map<java.lang.String,Definition>` | `read(java.lang.Object source)` Reads ``Definition`` objects from a source.

Method Detail

### init

    void init(java.util.Map<java.lang.String,java.lang.String> params)

  Initializes the `DefinitionsReader` object.

  This method must be called before the `read(java.lang.Object)` method is called.

  Parameters:
    `params` - A map of properties used to set up the reader.
  Throws:
    `DefinitionsFactoryException` - if required properties are not passed in or the initialization fails.

### read

    java.util.Map<java.lang.String,Definition> read(java.lang.Object source)

  Reads ``Definition`` objects from a source.

  Implementations should publish what type of source object is expected.

  Parameters:
    `source` - The source from which definitions will be read.
  Returns:
    a Map of `Definition` objects read from the source.
  Throws:
    `DefinitionsFactoryException` - if the source is invalid or an error occurs when reading definitions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.